# Uses of Class
org.apache.lucene.internal.hppc.LongHashSet

Packages that use LongHashSet
Package
Description
org.apache.lucene.internal.hppc
Internal copy of a subset of classes from the HPPC library.

- ## Uses of LongHashSet in org.apache.lucene.internal.hppc

  Methods in org.apache.lucene.internal.hppc that return LongHashSet
  Modifier and Type
  Method
  Description
  `LongHashSet`
  LongHashSet.`clone()`
  `static LongHashSet`
  LongHashSet.`from(long... elements)`
  Create a set from a variable number of arguments or an array of `long`.
  Methods in org.apache.lucene.internal.hppc with parameters of type LongHashSet
  Modifier and Type
  Method
  Description
  `int`
  LongHashSet.`addAll(LongHashSet set)`
  Adds all elements from the given set to this set.
  `int`
  LongHashSet.`removeAll(LongHashSet other)`
  Removes all keys present in a given container.
  Constructors in org.apache.lucene.internal.hppc with parameters of type LongHashSet
  Modifier
  Constructor
  Description
  ``
  `LongHashSet(LongHashSet set)`
  New instance copying elements from another set.